Package org.apache.nutch.scoring.webgraph

## Class LinkDumper.Reader

- java.lang.Object
- - org.apache.nutch.scoring.webgraph.LinkDumper.Reader

- Enclosing class:
    LinkDumper

      public static class LinkDumper.Reader
      extends Object

  Reader class which will print out the url and all of its inlinks to system out. Each inlinkwill be displayed with its node information including score and number of in and outlinks.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Reader()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Reader

          public Reader()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`